
textures/rjlut1/skybox
{
	qer_editorimage textures/common/drkcld.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_sun 1 0.95 0.8 90 235 45
	q3map_surfacelight 150
	skyparms textures/rjlut1/env/skybox 256 -
	{
		map textures/rjlut1/clouds.tga
		blendFunc filter
		tcMod scroll 0.002 0.002
		tcMod scale 5 5
	}
}

textures/rjlut1/leaves01_trans
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	deformVertexes wave 16 sin 0 1 0 0.25
	qer_editorimage textures/rjlut1/leaves01.tga
	{
		map textures/rjlut1/leaves01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rjlut1/leaves03_trans
{
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	deformVertexes wave 16 sin 0 1 0 0.25
	qer_editorimage textures/rjlut1/leaves03.tga
	{
		map textures/rjlut1/leaves03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rjlut1/posters
{
	surfaceparm alphashadow
	qer_editorimage textures/rjlut1/posters1.tga
	{
		map textures/rjlut1/posters1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rjlut1/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/rjlut1/greenbarrel
{
	cull none
	qer_editorimage textures/rjlut1/barrelgreen.tga

	{
		map textures/rjlut1/barrelgreen.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/rjlut1/rusted_nonsolid
{
	surfaceparm nonsolid
	qer_editorimage textures/base_wall/rusted.tga

	{
		map textures/base_wall/rusted.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/rjlut1/lightbulb_white
{
	qer_editorimage textures/rjlut1/white.tga
	surfaceparm nomarks
	{
		map textures/rjlut1/white.tga
		rgbGen identity
	}
	{
		map $whiteimage
		rgbGen identity
		blendFunc filter
	}
}

textures/rjlut1/rusted_nocull
{
	cull none
	surfaceparm nomarks
	qer_editorimage textures/base_wall/rusted.tga

	{
		map textures/base_wall/rusted.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/rjlut1/zinc_nocull
{
	cull none
	surfaceparm nomarks
	qer_editorimage textures/rjlut1/zinc_oxi.tga

	{
		map textures/rjlut1/zinc_oxi.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/rjlut1/chainlink
{
	surfaceparm trans
	cull none
	nopicmip
	qer_editorimage textures/rjlut1/chainlinkfence.tga

	{
		map textures/rjlut1/chainlinkfence.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/rjlut1/window_tile_small
{
    qer_editorimage textures/rjlut1/window_smallglass_small.tga
	{	
		map textures/rjlut1/window_smallglass_small.tga
		rgbGen identity
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/rjlut1/window_smallglass_small.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc gl_dst_color gl_src_color
	}
}

textures/rjlut1/dirtyglass
{
	surfaceparm trans
	surfaceparm nolightmap
	qer_editorimage textures/rjlut1/smudges.tga
	qer_trans 0.5
	{
		map textures/rjlut1/smudges.tga
		blendFunc filter
	}
}

textures/rjlut1/roadline
{
	qer_editorimage textures/rjlut1/roadline_decal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	{
		map textures/rjlut1/roadline_decal.tga
		blendFunc add
		rgbGen vertex
	}
}

textures/rjlut1/roadlinelarge
{
	qer_editorimage textures/rjlut1/roadlinelarge_decal.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	{
		map textures/rjlut1/roadlinelarge_decal.tga
		blendFunc add
		rgbGen vertex
	}
}

textures/rjlut1/terrain_0
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_2.jpg
		rgbGen vertex
		tcmod scale 0.250000000 0.250000000
	}
}

textures/rjlut1/terrain_1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_1.jpg
		rgbGen vertex
		tcmod scale 0.25 0.25
	}
}

textures/rjlut1/terrain_2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_3.jpg
		rgbGen vertex
		tcmod scale 0.250000000 0.250000000
	}
}

textures/rjlut1/terrain_0to1
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_2.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.250000000 0.250000000
	}
	{
		map textures/rjlut1/dirt_1.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.250000000 0.250000000
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/rjlut1/terrain_0to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_2.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.250000000 0.250000000
	}
	{
		map textures/rjlut1/dirt_3.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.250000000 0.250000000
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/rjlut1/terrain_1to2
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_1.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.25 0.25
	}
	{
		map textures/rjlut1/dirt_3.jpg
		rgbGen vertex
		alphaGen vertex
		tcmod scale 0.25 0.25
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/rjlut1/vxterrain
{
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight
	{
		map textures/rjlut1/dirt_2.jpg
		rgbGen vertex
		tcmod scale 0.250000000 0.250000000
	}
}
